Bug 75154 - konsole screen refresh is slow
konsole screen refresh is slow
Product: Red Hat Linux
Classification: Retired
Component: kdebase (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2002-10-04 17:12 EDT by Stephen Lawrence Jr.
Modified: 2007-04-18 12:47 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-10-09 15:03:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Stephen Lawrence Jr. 2002-10-04 17:12:31 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
konsole screen refresh is slow during commands such as ps and ls. 

Also, flashing text causes the konsole window to flicker.

I reported this same problem with null.

xterm does not have this issue.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.create a temporary file
2.create a soft link to that file
3.remove the original temp file so that the link is now broken.
4.load konsole
5. get a directory listing so that the broken link is viewable.

1. do 'ps -ef'
2. do 'ls -l /etc'
3. Notice the screen refresh is slow.

Actual Results:  screen flickers each time the broken link is flashed.

during ps and ls commands, the screen scrolling is not smooth. Very choppy.

Expected Results:  only flashing file should flicker.

text should scroll by smoothly.

Additional info:
Comment 1 Sammy 2002-10-07 11:28:43 EDT
I see the same thing as is very annoying, specially during scrolls. This started around 
limbo and I can't pin point what changed the smooth konsole behavior. A fix for this 
would be greatly appreciated.
Comment 2 Gerald Teschl 2002-10-09 15:03:20 EDT
This is the same as #73303.
Comment 3 Ngo Than 2002-10-11 14:06:09 EDT
i cleaned up a patch in kdebase again, this issue should be fixed in 3.0.4-1 or

Note You need to log in before you can comment on or make changes to this bug.